%define name librtas
%define version 2.0.0
%define release 0
Summary: Libraries to provide access to RTAS calls and RTAS events.
Name: %{name}
Version: %{version}
Release: %{release}
License: IBM Common Public License (CPL) v1.0
Group: System Environment/Libraries
Source: %{name}-src-%{version}.%{release}.tar.gz
BuildRoot: /tmp/%{name}-buildroot

%description
The librtas shared library provides userspace with an interface
through which certain RTAS calls can be made.  The library uses
either of the RTAS User Module or the RTAS system call to direct 
the kernel in making these calls.

The librtasevent shared library provides users with a set of
definitions and common routines useful in parsing and dumping
the contents of RTAS events.

%files
%defattr(-, root, root)

/usr/share/doc/packages/librtas/COPYRIGHT
/usr/share/doc/packages/librtas/README
/usr/lib/librtas.so.%{version}
/usr/lib/librtas.a
/usr/include/librtas.h

/usr/lib/librtasevent.so.%{version}
/usr/include/librtasevent.h
/usr/include/librtasevent_v4.h
/usr/include/librtasevent_v6.h

%post
# Post-install script -------------------------------------------------
ln -sf /usr/lib/librtas.so.%{version} /usr/lib/librtas.so
ln -sf /usr/lib/librtasevent.so.%{version} /usr/lib/librtasevent.so
ldconfig

%postun
# Post-uninstall script -----------------------------------------------
ldconfig
if [ "$1" = "0" ] ; then	# last uninstall
    rm -f /usr/lib/librtas.so
    rm -f /usr/lib/librtasevent.so
fi

